Rscript(1)

NAME
Rscript - front end for scripting with R

SYNOPSIS
Rscript [--options] [-e expr] file [args]

DESCRIPTION
A binary front-end to R, for use in scripting applications.

expr
    An optional expression to be evaluated, used in place of file.

file
    Input file of R expressions

args
    Optional further arguments to be processed by commandArgs in the R interpreter.

OPTIONS
--options accepted are

--help
    Print usage and exit

--version
    Print version and exit

--verbose
    Print information on progress

--default-packages=list
    Where 'list' is a comma-separated set of package names, or 'NULL'

and also options to R (in addition to --no-echo --no-restore), such as

--save
    Do save workspace at the end of the session

--no-environ
    Don't read the site and user environment files

--no-site-file
    Don't read the site-wide Rprofile

--no-init-file
    Don't read the user R profile

--restore
    Do restore previously saved objects at startup

--vanilla
    Combine --no-save, --no-restore, --no-site-file --no-init-file and --no-environ

SEE ALSO
R(1)